Skip to main content
`Ctrl`+`K`

# numpy.ma.MaskedArray.iscontiguous

method

ma.MaskedArray.iscontiguous()

  Return a boolean indicating whether the data is contiguous.

  Parameters:
    None

  Examples

      >>> import numpy as np
      >>> x = np.ma.array([1, 2, 3])
      >>> x.iscontiguous()
      True

  `iscontiguous` returns one of the flags of the masked array:

      >>> x.flags
        C_CONTIGUOUS : True
        F_CONTIGUOUS : True
        OWNDATA : False
        WRITEABLE : True
        ALIGNED : True
        WRITEBACKIFCOPY : False